Page MenuHomePhabricator

API: Ability to search by user id
Closed, ResolvedPublic

Description

Currently, you can use the API to search for a list of users using usernames (the ususers propery). However, there is no way to search using their user ids instead.

It would be nice if such a parameter existed (or the ususers property was updated to also accept a list of user ids)

(Current API info is at https://www.mediawiki.org/wiki/API:Users)


Version: 1.20.x
Severity: enhancement

Details

Reference
bz32494
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:00 AM
bzimport set Reference to bz32494.

I'm intrested to work on this bug.Can someone please assign this to me?

aravikn wrote:

Would someone help me with this?

Aravind: How could I help you with this? (Intentional counterquestion; as your question is too vague to get answered in a helpful way.)

aravikn wrote:

I'm sorry Andre, this always happens with me. The reason why the question was vague was because I did not really understand what I'm supposed to do with the code. I was able to locate it in the code though.

Anomie moved this task from Unsorted to Needs Code on the MediaWiki-API board.Feb 20 2015, 6:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2015, 8:27 PM

Change 252893 had a related patch set uploaded (by TyA):
T34494 API: Get user info with user ids

https://gerrit.wikimedia.org/r/252893

TyA claimed this task.Nov 13 2015, 5:29 AM
TyA set Security to None.
Anomie moved this task from Needs Code to Needs Review on the MediaWiki-API board.Nov 13 2015, 3:06 PM
Catrope removed a subscriber: Catrope.Nov 13 2015, 8:33 PM

Change 252893 abandoned by TyA:
T34494 API: Get user info with user ids

Reason:
Thanks for the comments Anomie! I believe I bit off a bit more than I can chew at the moment, so rather than letting this rot I'm going to abandon the change.

https://gerrit.wikimedia.org/r/252893

Anomie moved this task from Needs Review to Needs Code on the MediaWiki-API board.Jul 26 2016, 4:00 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 26 2016, 4:00 PM
Anomie removed TyA as the assignee of this task.Jul 26 2016, 4:00 PM
Anomie removed a project: Patch-For-Review.
Anomie added a subscriber: TyA.

Is this task still open ?

Yes, this task says "Open, Low" in the upper left corner.

This comment was removed by Blackspirit96.
Blackspirit96 removed Blackspirit96 as the assignee of this task.Nov 29 2016, 10:09 PM
McIntireEvan renamed this task from API: Give user information for user ids to API: Ability to search by user id.Nov 30 2016, 8:45 PM
McIntireEvan updated the task description. (Show Details)
McIntireEvan added a subscriber: McIntireEvan.

I will mentor this in Google-Code-In-2016

Anomie added a subscriber: Anomie.Dec 1 2016, 6:54 PM

(or the ususers property was updated to also accept a list of user ids)

That's not terribly likely to be workable, since it's possible to have a username that is an integer.

Filip claimed this task.Dec 5 2016, 7:33 AM
Filip added a subscriber: Filip.

I'll make it for GCI.

Change 325259 had a related patch set uploaded (by Filip):
Added "API: Ability to search by user id"

https://gerrit.wikimedia.org/r/325259

Filip added a comment.Dec 9 2016, 3:56 PM

Can anyone review this?

Change 325259 merged by jenkins-bot:
ApiQueryUsers: Add ability to search by user ID

https://gerrit.wikimedia.org/r/325259

Anomie closed this task as Resolved.Dec 9 2016, 6:55 PM